classification
Title: add {implementation} to sysconfig.py
Type: behavior Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, mattip
Priority: normal Keywords: patch

Created on 2014-08-30 18:49 by mattip, last changed 2020-10-22 21:49 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
sysconfig_head.patch mattip, 2014-08-30 18:49 diff to HEAD review
sysconfig_2_7.patch mattip, 2014-08-30 18:55 review
Messages (4)
msg226143 - (view) Author: mattip (mattip) * Date: 2014-08-30 18:49
An issue was reported on PyPy where a user had a ~/.local/lib/python2.7/site-packages directory that contained cpython specific libraries. We trakced it down to posix_user in sysconfig.py being set to an implementation-specific cpython path, but used by pypy.
This patch  against HEAD adds {implementation} and {implementation_lower} fields to _CONFIG_VARS, making sysconfig.py compatable with other python implementations. Perhaps valuable to jython as well, which would require modifying _get_implementation() accordingly
msg226144 - (view) Author: mattip (mattip) * Date: 2014-08-30 18:55
adding a diff patch to 2.7
msg237705 - (view) Author: mattip (mattip) * Date: 2015-03-09 21:16
any traction on this?
msg379367 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2020-10-22 21:49
This is a non-trivial change that would impact many packaging tools, and as such should be discussed on mailing list or https://discuss.python.org/
History
Date User Action Args
2020-10-22 21:49:13eric.araujosetstatus: open -> closed

nosy: + eric.araujo
messages: + msg379367

resolution: wont fix
stage: resolved
2015-03-09 21:16:21mattipsetmessages: + msg237705
2014-08-30 18:55:07mattipsetfiles: + sysconfig_2_7.patch

messages: + msg226144
2014-08-30 18:49:36mattipcreate